cmake_minimum_required(VERSION 3.3)

project(TowerOptoSifAndSpectral)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(QT Core Network WebSockets SerialPort Widgets)

find_package(Qt5 REQUIRED ${QT})


file(GLOB_RECURSE HDR_LIST "source/*.h")
file(GLOB_RECURSE SRC_LIST "source/*.cpp")

include_directories("source")
include_directories("source/FS")
include_directories("source/Logger")
include_directories("source/ZZ_SDK")
include_directories("source/Settings")
include_directories("source/CaptureThread")
include_directories("source/LinearShutter")
include_directories("source/OSIF/include")
include_directories("source/Misc_Detector")
include_directories("source/Uploader")

link_directories("source/OSIF/DLib")

add_executable( TowerOptoSifAndSpectral
      main.cpp
	${HDR_LIST} 
	${SRC_LIST} 
)
target_link_libraries(TowerOptoSifAndSpectral SeaBreeze)
qt5_use_modules(TowerOptoSifAndSpectral ${QT})


set_target_properties(TowerOptoSifAndSpectral PROPERTIES AUTOMOC ON)


